package hypr

import "encoding/json"

type Bind struct {
	Locked       bool   `json:"locked"`
	Mouse        bool   `json:"mouse"`
	Release      bool   `json:"release"`
	Repeat       bool   `json:"repeat"`
	NonConsuming bool   `json:"non_consuming"`
	ModMask      int    `json:"modmask"`
	Submap       string `json:"submap"`
	Key          string `json:"key"`
	KeyCode      int    `json:"keycode"`
	Dispatcher   string `json:"dispatcher"`
	Arg          string `json:"arg"`
}

func (b Bind) String() string {
	data, _ := json.MarshalIndent(b, "", "\t")
	return string(data)
}
